///////////////////
// Page Notes v1 //
///////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}

// Set Note Title
function setNoteTitle(noteTitle,targetAttr)
{
	$('editarea h4').text(noteTitle);
	bricSync("changes"); // Sync Changes
}

// Set Note Content
function setNoteContent(noteValue,targetAttr)
{
	$('editarea p').html(noteValue);
	bricSync("changes"); // Sync Changes
}

// Set Note Style
function setNoteStyle(noteStyle,targetAttr)
{
	var targetClass = 'alert-warning'; // Default Yellow
	$('editarea div').removeClass('alert-warning alert-success alert-danger alert-primary');

	if(noteStyle == 1) // Green
	{
		targetClass = 'alert-success';
	}
	else if(noteStyle == 2) // Blue
	{
		targetClass = 'alert-primary';
	}
	else if(noteStyle == 3) // Red
	{
		targetClass = 'alert-danger';
	}

	$('editarea div').addClass(targetClass);
	bricSync("changes"); // Sync Changes
}